# eoTruncatedSelectOne< EOT > Class Template Reference

eoTruncatedSelectOne selects one individual using eoSelectOne as it's mechanism. More...

`#include <eoTruncatedSelectOne.h>`

Inheritance diagram for eoTruncatedSelectOne< EOT >:

List of all members.

## Public Member Functions

| eoTruncatedSelectOne (eoSelectOne< EOT > &_select, double _rateFertile, bool _interpret_as_rateF=true)
| Ctor from rate and bool.
| eoTruncatedSelectOne (eoSelectOne< EOT > &_select, eoHowMany _howManyFertile)
| Ctor with eoHowMany.
void | setup (const eoPop< EOT > &_source)
| setup procedures: fills the temporary population with the fertile guys
const EOT & | operator() (const eoPop< EOT > &_pop)
| The implementation selects an individual from the fertile pop.

## Private Attributes

eoSelectOne< EOT > & | select
eoHowMany | howManyFertile
eoPop< EOT > | tmpPop
eoPop< EOT > & | actualPop

## Detailed Description

### template<class EOT>
class eoTruncatedSelectOne< EOT >

eoTruncatedSelectOne selects one individual using eoSelectOne as it's mechanism.

Therefore eoTruncatedSelectOne needs an eoSelectOne in its ctor

It will perform selection only from the top guys in the population.

Definition at line 45 of file eoTruncatedSelectOne.h.

## Member Function Documentation

template<class EOT>
const EOT& eoTruncatedSelectOne< EOT >::operator() | ( | const eoPop< EOT > & | _pop | ) | `[inline, virtual]`

The implementation selects an individual from the fertile pop.

Parameters:

  | _source | the source population
  | _dest | the selected guy

Implements eoUF< const eoPop< EOT > &, const EOT & >.

Definition at line 98 of file eoTruncatedSelectOne.h.

The documentation for this class was generated from the following file:

- eoTruncatedSelectOne.h